/*
Copyright (C) 2003 Frank Balbach

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package de.uni_luebeck.tcs.demo.crypto;

import java.awt.*;

import de.uni_luebeck.tcs.hochschultag.*;

public class DecaesarTCSDemo extends TCSDemoAdapter {
    protected final Decaesar bgiThis;
    
    public DecaesarTCSDemo() {
	super("Decaesar");
	this.bgiThis = new Decaesar();
    }

    public Component getComponent() {
	return bgiThis.getComponent();
    }

    public void init() {
	super.init();
	//bgiThis.init();
    }

    public void start() {
	super.start();
	bgiThis.start();
    }

    public void pause() {	
	super.pause();
	bgiThis.pause();
    }

    public void resume() {
	super.resume();
	bgiThis.resume();
    }
}
